"""============================================
منطق برنامه مشخص کننده معادله خطی که از دو نقطه M,N بگذرد
============================================"""

#ax + by = c
x0 = float(input("X0: "))
y0 = float(input("Y0: "))
x1 = float(input("X: "))
y1 = float(input("Y: "))

#ax + by = c
m = (y1-y0)/(x1-x0)
a = -m
b = 1
c = y0 - m*x0
print("Result ==> ",a,"x+y=",c)

